For the complete documentation index, see llms.txt. This page is also available as Markdown.

Account

Create a workspace under the authenticated identity

post

Create a new workspace and attach the authenticated caller as the owner.

Authorizations
AuthorizationstringRequired

API key issued via POST /v1/{workspace_id}/api-keys. Pass the returned api_key value as a Bearer token.

Body

Request body for POST /v1/me/workspaces.

slugstring · min: 2 · max: 63RequiredPattern: ^[a-z0-9][a-z0-9-]*[a-z0-9]$
namestring · min: 1Required
backend_org_idstring · min: 1 · nullableOptional
Responses
201

Successful Response

application/json
idstring · uuidRequired
slugstringRequired
namestringRequired
backend_org_idstring · nullableRequired
regionstringRequired
connector_typestring · nullableRequired
provisioned_atstring · date-time · nullableRequired
created_atstring · date-timeRequired
updated_atstring · date-timeRequired
post/v1/me/workspaces
POST /v1/me/workspaces HTTP/1.1
Host: api.platform.amigo.ai
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 53

{
  "slug": "text",
  "name": "text",
  "backend_org_id": "text"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "slug": "text",
  "name": "text",
  "backend_org_id": "text",
  "region": "text",
  "connector_type": "text",
  "provisioned_at": "2026-01-01T00:00:00.000Z",
  "created_at": "2026-01-01T00:00:00.000Z",
  "updated_at": "2026-01-01T00:00:00.000Z"
}

Last updated

Was this helpful?